﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _1151913_TreeViewCollapseExpandAll
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            this.radTreeView1.BeginUpdate();

            for (int i = 0; i < 10; i++)
            {
                RadTreeNode node = new RadTreeNode();
                node.Text = "Node" + i;
                for (int j = 0; j < 3; j++)
                {
                    RadTreeNode child = new RadTreeNode();
                    child.Text = "Child" + i + "." + j;
                    node.Nodes.Add(child);
                    for (int k = 0; k < 2; k++)
                    {
                        RadTreeNode subChild = new RadTreeNode();
                        subChild.Text = "SubChild" + i + "." + j + "." + k;
                        child.Nodes.Add(subChild);
                    }
                }
                this.radTreeView1.Nodes.Add(node);
            }
            this.radTreeView1.EndUpdate();

            this.radTreeView1.CheckBoxes = true;
            this.radTreeView1.TriStateMode = true;
        }

        int cnt = 0;

        private void radButton1_Click(object sender, EventArgs e)
        {
            cnt++;
            if (cnt % 2 == 0)
            {
                this.radTreeView1.ExpandAll();
            }
            else
            {
                this.radTreeView1.CollapseAll();
            }
        }
    }
}